Package org.apache.sysds.runtime.frame.data

## Class FrameBlock.FrameMapFunction

- java.lang.Object
- - org.apache.sysds.runtime.frame.data.FrameBlock.FrameMapFunction

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  FrameBlock

    public static class FrameBlock.FrameMapFunction
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
`FrameMapFunction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `apply​(String input)`
`String[]` `apply​(String[] input1)`
`String` `apply​(String input1, String input2)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FrameMapFunction

    public FrameMapFunction()

### Method Detail

#### apply

    public String apply​(String input)

#### apply

    public String apply​(String input1,
                        String input2)

#### apply

    public String[] apply​(String[] input1)